

.branch-title{
    max-width: 1100px;
    width: 90%;
    margin: 50px auto;
    border-radius: 8px;
    background-color: #FFFFFF;
    box-shadow: rgba(0, 0, 0, 0.05) 0px 0px 0px 1px;
    padding: 30px;
}

.branch-title h1{
    font-size: 28px;
}


@media (max-width: 520px) {
    .branch-title h1{
        font-size: 1.3em;
    }

}

.branch-packages {
    max-width: 1100px;
    width: 90%;
    margin: 50px auto;
    padding: 80px 0;
    border-radius: 8px;
    overflow: hidden;
    background-color: #FFFFFF;
    box-shadow: rgba(0, 0, 0, 0.05) 0px 0px 0px 1px;
    transition: all 0.3s ease;
}

.package-controller {
    border-radius: 5px;
    text-align: center;
}

.package-controller button {
    width: 150px;
    margin: 10px;
    padding: 10px;
    outline: none;
    border: none;
    border-radius: 10px;
    cursor: pointer;
    background-color: #eeeeee;

}

.package-controller button.active {
    background-color: #4ec6de;
    color: white;
}


.content-box .content {
    display: none;
    animation: tabItemFadeIn .5s forwards linear;
}

.content-box .content.active {
    display: block;
}

@keyframes tabItemFadeIn {
    0% {
        opacity: 0;
        display: block;
    }
    100% {
        opacity: 1;
    }
}

.package-plan-group{
    /*padding-bottom: 30px;*/
}

.package-plan{
    text-align: center;
    margin: 0 auto;
    border-radius: 5px;

}

.package-plan-group:first-child .package-plan{
    padding: 50px 0;
}


.package-plan-group:not(:first-child) .package-plan{
   padding-top: 70px;
    padding-bottom: 50px;
}


.package-detail {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    justify-content: center;
    column-gap: 20px;
}


.package {
    background-color: #fff;
    margin: 50px 10px;
    padding-top: 90px;
    width: 200px;
    height: 280px;
    border-radius: 15px;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 0px 5px 0px,
        rgba(0, 0, 0, 0.1) 0px 0px 1px 0px;
    position: relative;
    cursor: pointer;
}

.package-shape {
    position: absolute;
    top: -35px;
    left: 50%;
    transform: translateX(-50%);
}

.package-shape .package-top-shape-rectangle {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100px;
    width: 120px;
    border-radius: 15px;
    background-color: #4ec6de;
}

.package-top-shape-data h2 {
    color: #FFFFFFFF;
}

.package-shape .package-shape-top-triangle {
    position: absolute;
    bottom: 0;
    width: 0;
    height: 0;
    left: 50%;
    bottom: -9px;
    transform: translateX(-50%);
    border-left: 8px solid transparent;
    border-right: 8px solid transparent;
    border-top: 10px solid #4ec6de;
}

.package-bottom-shape {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 30px;
    background-color: #98ca3d;
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
    border: 1px solid gainsboro;
}

.package-data {
    width: 100%;
    padding: 0 20px;
  }

  .package-data-money,
  .package-data-duration,
  .package-data-connectionType,
  .package-data-speed {
    display: flex;
    align-items: center;
    margin: 5px 0;
  }

  .package-data-duration{
    margin-left: 2px;
  }

  .package-data-night-speed{
    margin-top: 8px;
    margin-left: 3px;
  }

  .package-data-money i,
  .package-data-duration i,
  .package-data-connectionType i,
  .package-data-speed i {
    font-size: 18px;
    color: #000000;
  }

  .package-data-duration p,
  .package-data-connectionType p,
  .package-data-speed p,
  .package-data-money p{
    margin-left: 15px;
  }



.package-data-night-speed {
    position: relative;
  }

  .package-data-night-speed i{
    position: relative;
    left: 0.09em;
  }

  .night-speed-start,
  .night-speed-end {
    font-size: 8px;
    background-color: #4ec6de;
    color: white;
    width: 14px;
    height: 14px;
    border-radius: 50%;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .night-speed-start {
    position: absolute;
    top: -5px;
    left: -11px;
  }

  .night-speed-end {
    position: absolute;
    top: -5px;
    left: 11px;
  }


  .night-speed-line{
    position: absolute;
    top: -5px;
    left: -0.16em;
    height: 10px;
    width: 20px;
    border: solid 1px #000;
    border-color: #4ec6de transparent transparent transparent;
    border-radius: 53% / 11px 10px 0 0;
    rotate: -8deg;
  }



.show-more-button {
    cursor: pointer;
    border: 1px solid #98ca3d;
    color: #000000FF;
    text-align: center;
    display: block;
    margin: 10px auto 0;
    font-size: 13px;
    width: 100px;
    padding: 4px;
    border-radius: 10px;
}

.gradient-overlay {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    height: 50px; /* Adjust height as needed */
    background: linear-gradient(to bottom, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 1) 100%);
    pointer-events: none; /* Make sure it doesn't interfere with clicks */
    z-index: 1; /* Position it above the content but below the button */
}

.branch-content {
    font-family: Arial, sans-serif; /* Clean, modern font */
    max-width: 1100px;
    width: 90%;
    margin: 50px auto;
    padding: 30px 50px;
    border-radius: 8px;
    background-color: #ffffff;
    box-shadow: rgba(0, 0, 0, 0.05) 0px 0px 0px 1px;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}


.branch-details{
    margin: 20px 0;
}

.branch-name {
    font-size: 1.5em;
    color: #333; /* Dark text for readability */
    margin-bottom: 10px; /* Spacing below the name */
}

.branch-address,
.branch-phone,
.branch-ip-address,
.branch-coordinates {
    font-size: 16px; /* Standard font size */
    color: #555; /* Slightly lighter text color */
    margin-bottom: 8px; /* Spacing between details */
}



/* Set the size of the map */
#branch-map {
    height: 300px; /* Adjust height as needed */
    width: 400px;
    max-width: 90%;
    position: relative; /* Ensure relative positioning */
    z-index: 1; /* Set z-index to manage stacking order */
    border-radius: 8px;
}
.leaflet-control-attribution {
    display: none;
}

.leaflet-popup-content{
    padding: 15px 15px 5px 15px;
    margin: 0;
}

.leaflet-popup-content img{
    width: 60px;
}



@media (max-width: 520px) {
    .branch-title h1{
        font-size: 1.3em;
    }

    .package-plan h2{
        font-size: 1.3em;
    }
    .package{
        width: 250px;
        min-height: 335px;
    }
    .package-data{
        padding: 10px 10px 0 30px;
        font-size: 18px;
    }

    .package-data-money, .package-data-duration, .package-data-connectionType, .package-data-speed {
        margin: 8px 0;
    }

    .branch-name {
        font-size: 1.3em;
        color: #333; /* Dark text for readability */
        margin-bottom: 10px; /* Spacing below the name */
    }
}


@media (max-width: 720px) {
    .branch-content {
        flex-direction: column;
        align-content: space-around;
        padding: 20px;
    }
}

